%define upstream_name    WWW-Search
%define upstream_version 2.515

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Virtual base class for WWW searches
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bit::Vector)
BuildRequires: perl(CGI)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Manip)
BuildRequires: perl(ExtUtils::MM_Unix) >= 1.410.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long) >= 2.240.0
BuildRequires: perl(HTML::Parser) >= 2.230.0
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(IO::Capture::Stderr)
BuildRequires: perl(LWP::MemberMixin)
BuildRequires: perl(LWP::UserAgent) >= 2.0.0
BuildRequires: perl(Net::Domain)
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::File)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(User)
BuildArch:  noarch

%description
This class is the parent for all access methods supported by the WWW::Search
library. This library implements a Perl API to web-based search engines.

See README for a list of search engines currently supported, and for a lot of
interesting high-level information about this distribution.

Search results can be limited, and there is a pause between each request to
avoid overloading either the client or the server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
for file in `find lib -type f` Changes README; do
    chmod 644 $file
done
perl -pi -e 's|/usr/local/bin/perl|/usr/bin/perl|' lib/WWW/Search/*.pm

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

export PATH=$PATH:%{buildroot}%{_bindir}

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_bindir}/*
%{perl_vendorlib}/WWW
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.515.0-3pclos2017
- rebuild against updates

